import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:watermanagement/dashboard.dart';
import 'package:watermanagement/delivrybookingdata.dart';
import 'package:watermanagement/login.dart';
import 'package:watermanagement/settings.dart';


void main() async{
  SystemChrome.setPreferredOrientations([DeviceOrientation.portraitUp]);
  runApp(new Splash());
}

  class Splash extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return new MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Water Management',
      theme: new ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: new SplashScreen(),
    );
  }
}

class SplashScreen extends StatefulWidget {
  const SplashScreen({ super.key });

  @override
  State<SplashScreen> createState() => _SplashScreenState();
}
class _SplashScreenState extends State<SplashScreen> {


  Widget _defaultHome = new Login();


  void loginCheck()async{

    bool _result = await AppSettings.isSigIn();

    if (_result) {
      await AppSettings.loadDataFromMemory();
      _defaultHome = new Dashboard();
    }
  }



  @override
  void initState() {

    loginCheck();
    super.initState();
    Future.delayed(
        const Duration(seconds: 3),
            () => Navigator.push(
          context,
          MaterialPageRoute(builder: (context) => _defaultHome),
        ));
  }
  @override
  Widget build(BuildContext context) {
    return  Scaffold(
        body:  Stack(
          children: <Widget>[
             Container(
              decoration:  const BoxDecoration(
                image:  DecorationImage(image:  AssetImage("images/final_splash_screen.png"), fit: BoxFit.cover,),
              ),
            ),

          ],
        )
    );
  }

}